[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Xen-devel] [PATCH] Clean up unmodified_drivers mkbuildtree script



The current mkbuildtree script uses `uname -m` when linking the
directories from the xen-sparse directory to unmodified_drivers.  This
doesn't work out well if you are building 32-bit modules on a 64-bit
system.

This patch makes the architecture to be linked against a command line
option -- currently i386 or x86_64.  It also cleans up the indentation a
bit.

Any comments?  Better ideas?

Signed-off-by: Travis Betak <travis.betak@xxxxxxx>

---

diff -r 3e6325b73474 unmodified_drivers/linux-2.6/mkbuildtree
--- a/unmodified_drivers/linux-2.6/mkbuildtree  Fri Sep 01 16:11:51 2006 +0100
+++ b/unmodified_drivers/linux-2.6/mkbuildtree  Fri Sep 01 16:02:29 2006 -0500
@@ -1,4 +1,15 @@
 #! /bin/sh
+
+usage()
+{
+    echo "Usage: mkbuildtree <arch>"
+    echo "supported architectures are i386 and x86_64"
+    exit 1
+}
+
+if [ ! $1 ] ; then
+    usage;
+fi

 C=$PWD

@@ -26,24 +37,22 @@ ln -sf ${XEN}/include/public include/xen
 # Need to be quite careful here: we don't want the files we link in to
 # risk overriding the native Linux ones (in particular, system.h must
 # be native and not xenolinux).
-uname=`uname -m`
-case "$uname"
+case "$1"
 in
 "x86_64")
-       ln -sf ${XL}/include/asm-x86_64/mach-xen/asm/hypervisor.h include/asm
-       ln -sf ${XL}/include/asm-x86_64/mach-xen/asm/hypercall.h include/asm
-       ln -sf ${XL}/include/asm-x86_64/mach-xen/asm/synch_bitops.h include/asm
-       ln -sf ${XL}/include/asm-x86_64/mach-xen/asm/maddr.h include/asm
-       ln -sf ${XL}/include/asm-i386 include/asm-i386
-       ;;
-i[34567]86)
-       ln -sf ${XL}/include/asm-i386/mach-xen/asm/hypervisor.h include/asm
-       ln -sf ${XL}/include/asm-i386/mach-xen/asm/hypercall.h include/asm
-       ln -sf ${XL}/include/asm-i386/mach-xen/asm/synch_bitops.h include/asm
-       ln -sf ${XL}/include/asm-i386/mach-xen/asm/maddr.h include/asm
-       ;;
+    ln -sf ${XL}/include/asm-x86_64/mach-xen/asm/hypervisor.h include/asm
+    ln -sf ${XL}/include/asm-x86_64/mach-xen/asm/hypercall.h include/asm
+    ln -sf ${XL}/include/asm-x86_64/mach-xen/asm/synch_bitops.h include/asm
+    ln -sf ${XL}/include/asm-x86_64/mach-xen/asm/maddr.h include/asm
+    ln -sf ${XL}/include/asm-i386 include/asm-i386
+    ;;
+i386)
+    ln -sf ${XL}/include/asm-i386/mach-xen/asm/hypervisor.h include/asm
+    ln -sf ${XL}/include/asm-i386/mach-xen/asm/hypercall.h include/asm
+    ln -sf ${XL}/include/asm-i386/mach-xen/asm/synch_bitops.h include/asm
+    ln -sf ${XL}/include/asm-i386/mach-xen/asm/maddr.h include/asm
+    ;;
 *)
-       echo unknown architecture $uname
-       exit 1
-       ;;
+ usage; + ;;
 esac



_______________________________________________
Xen-devel mailing list
Xen-devel@xxxxxxxxxxxxxxxxxxx
http://lists.xensource.com/xen-devel


 


Rackspace

Lists.xenproject.org is hosted with RackSpace, monitoring our
servers 24x7x365 and backed by RackSpace's Fanatical Support®.